package org.xtext.test.ui.contentassist.antlr.internal; 

import java.io.InputStream;
import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.DFA;
import org.xtext.test.services.CarLanguageGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalCarLanguageParser extends AbstractInternalContentAssistParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_STRING", "RULE_ID", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'import'", "'I like'"
    };
    public static final int RULE_ID=5;
    public static final int RULE_STRING=4;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int RULE_ANY_OTHER=10;
    public static final int RULE_INT=6;
    public static final int RULE_WS=9;
    public static final int RULE_SL_COMMENT=8;
    public static final int EOF=-1;
    public static final int RULE_ML_COMMENT=7;

    // delegates
    // delegators


        public InternalCarLanguageParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalCarLanguageParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalCarLanguageParser.tokenNames; }
    public String getGrammarFileName() { return "../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g"; }


     
     	private CarLanguageGrammarAccess grammarAccess;
     	
        public void setGrammarAccess(CarLanguageGrammarAccess grammarAccess) {
        	this.grammarAccess = grammarAccess;
        }
        
        @Override
        protected Grammar getGrammar() {
        	return grammarAccess.getGrammar();
        }
        
        @Override
        protected String getValueForTokenName(String tokenName) {
        	return tokenName;
        }




    // $ANTLR start "entryRuleModel"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:60:1: entryRuleModel : ruleModel EOF ;
    public final void entryRuleModel() throws RecognitionException {
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:61:1: ( ruleModel EOF )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:62:1: ruleModel EOF
            {
             before(grammarAccess.getModelRule()); 
            pushFollow(FOLLOW_ruleModel_in_entryRuleModel61);
            ruleModel();

            state._fsp--;

             after(grammarAccess.getModelRule()); 
            match(input,EOF,FOLLOW_EOF_in_entryRuleModel68); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleModel"


    // $ANTLR start "ruleModel"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:69:1: ruleModel : ( ( rule__Model__Group__0 ) ) ;
    public final void ruleModel() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:73:2: ( ( ( rule__Model__Group__0 ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:74:1: ( ( rule__Model__Group__0 ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:74:1: ( ( rule__Model__Group__0 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:75:1: ( rule__Model__Group__0 )
            {
             before(grammarAccess.getModelAccess().getGroup()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:76:1: ( rule__Model__Group__0 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:76:2: rule__Model__Group__0
            {
            pushFollow(FOLLOW_rule__Model__Group__0_in_ruleModel94);
            rule__Model__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getModelAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleModel"


    // $ANTLR start "entryRuleImport"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:88:1: entryRuleImport : ruleImport EOF ;
    public final void entryRuleImport() throws RecognitionException {
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:89:1: ( ruleImport EOF )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:90:1: ruleImport EOF
            {
             before(grammarAccess.getImportRule()); 
            pushFollow(FOLLOW_ruleImport_in_entryRuleImport121);
            ruleImport();

            state._fsp--;

             after(grammarAccess.getImportRule()); 
            match(input,EOF,FOLLOW_EOF_in_entryRuleImport128); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleImport"


    // $ANTLR start "ruleImport"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:97:1: ruleImport : ( ( rule__Import__Group__0 ) ) ;
    public final void ruleImport() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:101:2: ( ( ( rule__Import__Group__0 ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:102:1: ( ( rule__Import__Group__0 ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:102:1: ( ( rule__Import__Group__0 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:103:1: ( rule__Import__Group__0 )
            {
             before(grammarAccess.getImportAccess().getGroup()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:104:1: ( rule__Import__Group__0 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:104:2: rule__Import__Group__0
            {
            pushFollow(FOLLOW_rule__Import__Group__0_in_ruleImport154);
            rule__Import__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getImportAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleImport"


    // $ANTLR start "entryRuleCarLike"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:116:1: entryRuleCarLike : ruleCarLike EOF ;
    public final void entryRuleCarLike() throws RecognitionException {
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:117:1: ( ruleCarLike EOF )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:118:1: ruleCarLike EOF
            {
             before(grammarAccess.getCarLikeRule()); 
            pushFollow(FOLLOW_ruleCarLike_in_entryRuleCarLike181);
            ruleCarLike();

            state._fsp--;

             after(grammarAccess.getCarLikeRule()); 
            match(input,EOF,FOLLOW_EOF_in_entryRuleCarLike188); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleCarLike"


    // $ANTLR start "ruleCarLike"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:125:1: ruleCarLike : ( ( rule__CarLike__Group__0 ) ) ;
    public final void ruleCarLike() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:129:2: ( ( ( rule__CarLike__Group__0 ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:130:1: ( ( rule__CarLike__Group__0 ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:130:1: ( ( rule__CarLike__Group__0 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:131:1: ( rule__CarLike__Group__0 )
            {
             before(grammarAccess.getCarLikeAccess().getGroup()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:132:1: ( rule__CarLike__Group__0 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:132:2: rule__CarLike__Group__0
            {
            pushFollow(FOLLOW_rule__CarLike__Group__0_in_ruleCarLike214);
            rule__CarLike__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getCarLikeAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleCarLike"


    // $ANTLR start "rule__Model__Group__0"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:146:1: rule__Model__Group__0 : rule__Model__Group__0__Impl rule__Model__Group__1 ;
    public final void rule__Model__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:150:1: ( rule__Model__Group__0__Impl rule__Model__Group__1 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:151:2: rule__Model__Group__0__Impl rule__Model__Group__1
            {
            pushFollow(FOLLOW_rule__Model__Group__0__Impl_in_rule__Model__Group__0248);
            rule__Model__Group__0__Impl();

            state._fsp--;

            pushFollow(FOLLOW_rule__Model__Group__1_in_rule__Model__Group__0251);
            rule__Model__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Model__Group__0"


    // $ANTLR start "rule__Model__Group__0__Impl"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:158:1: rule__Model__Group__0__Impl : ( ( ( rule__Model__ImportsAssignment_0 ) ) ( ( rule__Model__ImportsAssignment_0 )* ) ) ;
    public final void rule__Model__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:162:1: ( ( ( ( rule__Model__ImportsAssignment_0 ) ) ( ( rule__Model__ImportsAssignment_0 )* ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:163:1: ( ( ( rule__Model__ImportsAssignment_0 ) ) ( ( rule__Model__ImportsAssignment_0 )* ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:163:1: ( ( ( rule__Model__ImportsAssignment_0 ) ) ( ( rule__Model__ImportsAssignment_0 )* ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:164:1: ( ( rule__Model__ImportsAssignment_0 ) ) ( ( rule__Model__ImportsAssignment_0 )* )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:164:1: ( ( rule__Model__ImportsAssignment_0 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:165:1: ( rule__Model__ImportsAssignment_0 )
            {
             before(grammarAccess.getModelAccess().getImportsAssignment_0()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:166:1: ( rule__Model__ImportsAssignment_0 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:166:2: rule__Model__ImportsAssignment_0
            {
            pushFollow(FOLLOW_rule__Model__ImportsAssignment_0_in_rule__Model__Group__0__Impl280);
            rule__Model__ImportsAssignment_0();

            state._fsp--;


            }

             after(grammarAccess.getModelAccess().getImportsAssignment_0()); 

            }

            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:169:1: ( ( rule__Model__ImportsAssignment_0 )* )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:170:1: ( rule__Model__ImportsAssignment_0 )*
            {
             before(grammarAccess.getModelAccess().getImportsAssignment_0()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:171:1: ( rule__Model__ImportsAssignment_0 )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==11) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:171:2: rule__Model__ImportsAssignment_0
            	    {
            	    pushFollow(FOLLOW_rule__Model__ImportsAssignment_0_in_rule__Model__Group__0__Impl292);
            	    rule__Model__ImportsAssignment_0();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

             after(grammarAccess.getModelAccess().getImportsAssignment_0()); 

            }


            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Model__Group__0__Impl"


    // $ANTLR start "rule__Model__Group__1"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:182:1: rule__Model__Group__1 : rule__Model__Group__1__Impl ;
    public final void rule__Model__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:186:1: ( rule__Model__Group__1__Impl )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:187:2: rule__Model__Group__1__Impl
            {
            pushFollow(FOLLOW_rule__Model__Group__1__Impl_in_rule__Model__Group__1325);
            rule__Model__Group__1__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Model__Group__1"


    // $ANTLR start "rule__Model__Group__1__Impl"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:193:1: rule__Model__Group__1__Impl : ( ( ( rule__Model__LikesAssignment_1 ) ) ( ( rule__Model__LikesAssignment_1 )* ) ) ;
    public final void rule__Model__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:197:1: ( ( ( ( rule__Model__LikesAssignment_1 ) ) ( ( rule__Model__LikesAssignment_1 )* ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:198:1: ( ( ( rule__Model__LikesAssignment_1 ) ) ( ( rule__Model__LikesAssignment_1 )* ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:198:1: ( ( ( rule__Model__LikesAssignment_1 ) ) ( ( rule__Model__LikesAssignment_1 )* ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:199:1: ( ( rule__Model__LikesAssignment_1 ) ) ( ( rule__Model__LikesAssignment_1 )* )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:199:1: ( ( rule__Model__LikesAssignment_1 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:200:1: ( rule__Model__LikesAssignment_1 )
            {
             before(grammarAccess.getModelAccess().getLikesAssignment_1()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:201:1: ( rule__Model__LikesAssignment_1 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:201:2: rule__Model__LikesAssignment_1
            {
            pushFollow(FOLLOW_rule__Model__LikesAssignment_1_in_rule__Model__Group__1__Impl354);
            rule__Model__LikesAssignment_1();

            state._fsp--;


            }

             after(grammarAccess.getModelAccess().getLikesAssignment_1()); 

            }

            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:204:1: ( ( rule__Model__LikesAssignment_1 )* )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:205:1: ( rule__Model__LikesAssignment_1 )*
            {
             before(grammarAccess.getModelAccess().getLikesAssignment_1()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:206:1: ( rule__Model__LikesAssignment_1 )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==12) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:206:2: rule__Model__LikesAssignment_1
            	    {
            	    pushFollow(FOLLOW_rule__Model__LikesAssignment_1_in_rule__Model__Group__1__Impl366);
            	    rule__Model__LikesAssignment_1();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

             after(grammarAccess.getModelAccess().getLikesAssignment_1()); 

            }


            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Model__Group__1__Impl"


    // $ANTLR start "rule__Import__Group__0"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:221:1: rule__Import__Group__0 : rule__Import__Group__0__Impl rule__Import__Group__1 ;
    public final void rule__Import__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:225:1: ( rule__Import__Group__0__Impl rule__Import__Group__1 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:226:2: rule__Import__Group__0__Impl rule__Import__Group__1
            {
            pushFollow(FOLLOW_rule__Import__Group__0__Impl_in_rule__Import__Group__0403);
            rule__Import__Group__0__Impl();

            state._fsp--;

            pushFollow(FOLLOW_rule__Import__Group__1_in_rule__Import__Group__0406);
            rule__Import__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Import__Group__0"


    // $ANTLR start "rule__Import__Group__0__Impl"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:233:1: rule__Import__Group__0__Impl : ( 'import' ) ;
    public final void rule__Import__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:237:1: ( ( 'import' ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:238:1: ( 'import' )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:238:1: ( 'import' )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:239:1: 'import'
            {
             before(grammarAccess.getImportAccess().getImportKeyword_0()); 
            match(input,11,FOLLOW_11_in_rule__Import__Group__0__Impl434); 
             after(grammarAccess.getImportAccess().getImportKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Import__Group__0__Impl"


    // $ANTLR start "rule__Import__Group__1"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:252:1: rule__Import__Group__1 : rule__Import__Group__1__Impl ;
    public final void rule__Import__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:256:1: ( rule__Import__Group__1__Impl )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:257:2: rule__Import__Group__1__Impl
            {
            pushFollow(FOLLOW_rule__Import__Group__1__Impl_in_rule__Import__Group__1465);
            rule__Import__Group__1__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Import__Group__1"


    // $ANTLR start "rule__Import__Group__1__Impl"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:263:1: rule__Import__Group__1__Impl : ( ( rule__Import__ImportURIAssignment_1 ) ) ;
    public final void rule__Import__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:267:1: ( ( ( rule__Import__ImportURIAssignment_1 ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:268:1: ( ( rule__Import__ImportURIAssignment_1 ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:268:1: ( ( rule__Import__ImportURIAssignment_1 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:269:1: ( rule__Import__ImportURIAssignment_1 )
            {
             before(grammarAccess.getImportAccess().getImportURIAssignment_1()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:270:1: ( rule__Import__ImportURIAssignment_1 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:270:2: rule__Import__ImportURIAssignment_1
            {
            pushFollow(FOLLOW_rule__Import__ImportURIAssignment_1_in_rule__Import__Group__1__Impl492);
            rule__Import__ImportURIAssignment_1();

            state._fsp--;


            }

             after(grammarAccess.getImportAccess().getImportURIAssignment_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Import__Group__1__Impl"


    // $ANTLR start "rule__CarLike__Group__0"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:284:1: rule__CarLike__Group__0 : rule__CarLike__Group__0__Impl rule__CarLike__Group__1 ;
    public final void rule__CarLike__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:288:1: ( rule__CarLike__Group__0__Impl rule__CarLike__Group__1 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:289:2: rule__CarLike__Group__0__Impl rule__CarLike__Group__1
            {
            pushFollow(FOLLOW_rule__CarLike__Group__0__Impl_in_rule__CarLike__Group__0526);
            rule__CarLike__Group__0__Impl();

            state._fsp--;

            pushFollow(FOLLOW_rule__CarLike__Group__1_in_rule__CarLike__Group__0529);
            rule__CarLike__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__CarLike__Group__0"


    // $ANTLR start "rule__CarLike__Group__0__Impl"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:296:1: rule__CarLike__Group__0__Impl : ( 'I like' ) ;
    public final void rule__CarLike__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:300:1: ( ( 'I like' ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:301:1: ( 'I like' )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:301:1: ( 'I like' )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:302:1: 'I like'
            {
             before(grammarAccess.getCarLikeAccess().getILikeKeyword_0()); 
            match(input,12,FOLLOW_12_in_rule__CarLike__Group__0__Impl557); 
             after(grammarAccess.getCarLikeAccess().getILikeKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__CarLike__Group__0__Impl"


    // $ANTLR start "rule__CarLike__Group__1"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:315:1: rule__CarLike__Group__1 : rule__CarLike__Group__1__Impl ;
    public final void rule__CarLike__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:319:1: ( rule__CarLike__Group__1__Impl )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:320:2: rule__CarLike__Group__1__Impl
            {
            pushFollow(FOLLOW_rule__CarLike__Group__1__Impl_in_rule__CarLike__Group__1588);
            rule__CarLike__Group__1__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__CarLike__Group__1"


    // $ANTLR start "rule__CarLike__Group__1__Impl"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:326:1: rule__CarLike__Group__1__Impl : ( ( rule__CarLike__RefAssignment_1 ) ) ;
    public final void rule__CarLike__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:330:1: ( ( ( rule__CarLike__RefAssignment_1 ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:331:1: ( ( rule__CarLike__RefAssignment_1 ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:331:1: ( ( rule__CarLike__RefAssignment_1 ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:332:1: ( rule__CarLike__RefAssignment_1 )
            {
             before(grammarAccess.getCarLikeAccess().getRefAssignment_1()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:333:1: ( rule__CarLike__RefAssignment_1 )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:333:2: rule__CarLike__RefAssignment_1
            {
            pushFollow(FOLLOW_rule__CarLike__RefAssignment_1_in_rule__CarLike__Group__1__Impl615);
            rule__CarLike__RefAssignment_1();

            state._fsp--;


            }

             after(grammarAccess.getCarLikeAccess().getRefAssignment_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__CarLike__Group__1__Impl"


    // $ANTLR start "rule__Model__ImportsAssignment_0"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:348:1: rule__Model__ImportsAssignment_0 : ( ruleImport ) ;
    public final void rule__Model__ImportsAssignment_0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:352:1: ( ( ruleImport ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:353:1: ( ruleImport )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:353:1: ( ruleImport )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:354:1: ruleImport
            {
             before(grammarAccess.getModelAccess().getImportsImportParserRuleCall_0_0()); 
            pushFollow(FOLLOW_ruleImport_in_rule__Model__ImportsAssignment_0654);
            ruleImport();

            state._fsp--;

             after(grammarAccess.getModelAccess().getImportsImportParserRuleCall_0_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Model__ImportsAssignment_0"


    // $ANTLR start "rule__Model__LikesAssignment_1"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:363:1: rule__Model__LikesAssignment_1 : ( ruleCarLike ) ;
    public final void rule__Model__LikesAssignment_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:367:1: ( ( ruleCarLike ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:368:1: ( ruleCarLike )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:368:1: ( ruleCarLike )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:369:1: ruleCarLike
            {
             before(grammarAccess.getModelAccess().getLikesCarLikeParserRuleCall_1_0()); 
            pushFollow(FOLLOW_ruleCarLike_in_rule__Model__LikesAssignment_1685);
            ruleCarLike();

            state._fsp--;

             after(grammarAccess.getModelAccess().getLikesCarLikeParserRuleCall_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Model__LikesAssignment_1"


    // $ANTLR start "rule__Import__ImportURIAssignment_1"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:378:1: rule__Import__ImportURIAssignment_1 : ( RULE_STRING ) ;
    public final void rule__Import__ImportURIAssignment_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:382:1: ( ( RULE_STRING ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:383:1: ( RULE_STRING )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:383:1: ( RULE_STRING )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:384:1: RULE_STRING
            {
             before(grammarAccess.getImportAccess().getImportURISTRINGTerminalRuleCall_1_0()); 
            match(input,RULE_STRING,FOLLOW_RULE_STRING_in_rule__Import__ImportURIAssignment_1716); 
             after(grammarAccess.getImportAccess().getImportURISTRINGTerminalRuleCall_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Import__ImportURIAssignment_1"


    // $ANTLR start "rule__CarLike__RefAssignment_1"
    // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:393:1: rule__CarLike__RefAssignment_1 : ( ( RULE_ID ) ) ;
    public final void rule__CarLike__RefAssignment_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:397:1: ( ( ( RULE_ID ) ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:398:1: ( ( RULE_ID ) )
            {
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:398:1: ( ( RULE_ID ) )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:399:1: ( RULE_ID )
            {
             before(grammarAccess.getCarLikeAccess().getRefCarCrossReference_1_0()); 
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:400:1: ( RULE_ID )
            // ../org.xtext.test.CarLanguage.ui/src-gen/org/xtext/test/ui/contentassist/antlr/internal/InternalCarLanguage.g:401:1: RULE_ID
            {
             before(grammarAccess.getCarLikeAccess().getRefCarIDTerminalRuleCall_1_0_1()); 
            match(input,RULE_ID,FOLLOW_RULE_ID_in_rule__CarLike__RefAssignment_1751); 
             after(grammarAccess.getCarLikeAccess().getRefCarIDTerminalRuleCall_1_0_1()); 

            }

             after(grammarAccess.getCarLikeAccess().getRefCarCrossReference_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__CarLike__RefAssignment_1"

    // Delegated rules


 

    public static final BitSet FOLLOW_ruleModel_in_entryRuleModel61 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleModel68 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Model__Group__0_in_ruleModel94 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleImport_in_entryRuleImport121 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleImport128 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Import__Group__0_in_ruleImport154 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleCarLike_in_entryRuleCarLike181 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleCarLike188 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__CarLike__Group__0_in_ruleCarLike214 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Model__Group__0__Impl_in_rule__Model__Group__0248 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_rule__Model__Group__1_in_rule__Model__Group__0251 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Model__ImportsAssignment_0_in_rule__Model__Group__0__Impl280 = new BitSet(new long[]{0x0000000000000802L});
    public static final BitSet FOLLOW_rule__Model__ImportsAssignment_0_in_rule__Model__Group__0__Impl292 = new BitSet(new long[]{0x0000000000000802L});
    public static final BitSet FOLLOW_rule__Model__Group__1__Impl_in_rule__Model__Group__1325 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Model__LikesAssignment_1_in_rule__Model__Group__1__Impl354 = new BitSet(new long[]{0x0000000000001002L});
    public static final BitSet FOLLOW_rule__Model__LikesAssignment_1_in_rule__Model__Group__1__Impl366 = new BitSet(new long[]{0x0000000000001002L});
    public static final BitSet FOLLOW_rule__Import__Group__0__Impl_in_rule__Import__Group__0403 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_rule__Import__Group__1_in_rule__Import__Group__0406 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_11_in_rule__Import__Group__0__Impl434 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Import__Group__1__Impl_in_rule__Import__Group__1465 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__Import__ImportURIAssignment_1_in_rule__Import__Group__1__Impl492 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__CarLike__Group__0__Impl_in_rule__CarLike__Group__0526 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_rule__CarLike__Group__1_in_rule__CarLike__Group__0529 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_12_in_rule__CarLike__Group__0__Impl557 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__CarLike__Group__1__Impl_in_rule__CarLike__Group__1588 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_rule__CarLike__RefAssignment_1_in_rule__CarLike__Group__1__Impl615 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleImport_in_rule__Model__ImportsAssignment_0654 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleCarLike_in_rule__Model__LikesAssignment_1685 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RULE_STRING_in_rule__Import__ImportURIAssignment_1716 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_RULE_ID_in_rule__CarLike__RefAssignment_1751 = new BitSet(new long[]{0x0000000000000002L});

}