package org.xtext.test.parser.antlr.internal; 

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import org.xtext.test.services.CarLanguageGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalCarLanguageParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_STRING", "RULE_ID", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'import'", "'I like'"
    };
    public static final int RULE_ID=5;
    public static final int RULE_STRING=4;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int RULE_ANY_OTHER=10;
    public static final int RULE_INT=6;
    public static final int RULE_WS=9;
    public static final int RULE_SL_COMMENT=8;
    public static final int EOF=-1;
    public static final int RULE_ML_COMMENT=7;

    // delegates
    // delegators


        public InternalCarLanguageParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalCarLanguageParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalCarLanguageParser.tokenNames; }
    public String getGrammarFileName() { return "../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g"; }



     	private CarLanguageGrammarAccess grammarAccess;
     	
        public InternalCarLanguageParser(TokenStream input, CarLanguageGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }
        
        @Override
        protected String getFirstRuleName() {
        	return "Model";	
       	}
       	
       	@Override
       	protected CarLanguageGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}



    // $ANTLR start "entryRuleModel"
    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:67:1: entryRuleModel returns [EObject current=null] : iv_ruleModel= ruleModel EOF ;
    public final EObject entryRuleModel() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleModel = null;


        try {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:68:2: (iv_ruleModel= ruleModel EOF )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:69:2: iv_ruleModel= ruleModel EOF
            {
             newCompositeNode(grammarAccess.getModelRule()); 
            pushFollow(FOLLOW_ruleModel_in_entryRuleModel75);
            iv_ruleModel=ruleModel();

            state._fsp--;

             current =iv_ruleModel; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleModel85); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleModel"


    // $ANTLR start "ruleModel"
    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:76:1: ruleModel returns [EObject current=null] : ( ( (lv_imports_0_0= ruleImport ) )+ ( (lv_likes_1_0= ruleCarLike ) )+ ) ;
    public final EObject ruleModel() throws RecognitionException {
        EObject current = null;

        EObject lv_imports_0_0 = null;

        EObject lv_likes_1_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:79:28: ( ( ( (lv_imports_0_0= ruleImport ) )+ ( (lv_likes_1_0= ruleCarLike ) )+ ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:80:1: ( ( (lv_imports_0_0= ruleImport ) )+ ( (lv_likes_1_0= ruleCarLike ) )+ )
            {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:80:1: ( ( (lv_imports_0_0= ruleImport ) )+ ( (lv_likes_1_0= ruleCarLike ) )+ )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:80:2: ( (lv_imports_0_0= ruleImport ) )+ ( (lv_likes_1_0= ruleCarLike ) )+
            {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:80:2: ( (lv_imports_0_0= ruleImport ) )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==11) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:81:1: (lv_imports_0_0= ruleImport )
            	    {
            	    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:81:1: (lv_imports_0_0= ruleImport )
            	    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:82:3: lv_imports_0_0= ruleImport
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModelAccess().getImportsImportParserRuleCall_0_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleImport_in_ruleModel131);
            	    lv_imports_0_0=ruleImport();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModelRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"imports",
            	            		lv_imports_0_0, 
            	            		"Import");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);

            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:98:3: ( (lv_likes_1_0= ruleCarLike ) )+
            int cnt2=0;
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==12) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:99:1: (lv_likes_1_0= ruleCarLike )
            	    {
            	    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:99:1: (lv_likes_1_0= ruleCarLike )
            	    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:100:3: lv_likes_1_0= ruleCarLike
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getModelAccess().getLikesCarLikeParserRuleCall_1_0()); 
            	    	    
            	    pushFollow(FOLLOW_ruleCarLike_in_ruleModel153);
            	    lv_likes_1_0=ruleCarLike();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getModelRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"likes",
            	            		lv_likes_1_0, 
            	            		"CarLike");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt2 >= 1 ) break loop2;
                        EarlyExitException eee =
                            new EarlyExitException(2, input);
                        throw eee;
                }
                cnt2++;
            } while (true);


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleModel"


    // $ANTLR start "entryRuleImport"
    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:124:1: entryRuleImport returns [EObject current=null] : iv_ruleImport= ruleImport EOF ;
    public final EObject entryRuleImport() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleImport = null;


        try {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:125:2: (iv_ruleImport= ruleImport EOF )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:126:2: iv_ruleImport= ruleImport EOF
            {
             newCompositeNode(grammarAccess.getImportRule()); 
            pushFollow(FOLLOW_ruleImport_in_entryRuleImport190);
            iv_ruleImport=ruleImport();

            state._fsp--;

             current =iv_ruleImport; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleImport200); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleImport"


    // $ANTLR start "ruleImport"
    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:133:1: ruleImport returns [EObject current=null] : (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) ) ;
    public final EObject ruleImport() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_importURI_1_0=null;

         enterRule(); 
            
        try {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:136:28: ( (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:137:1: (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) )
            {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:137:1: (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:137:3: otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) )
            {
            otherlv_0=(Token)match(input,11,FOLLOW_11_in_ruleImport237); 

                	newLeafNode(otherlv_0, grammarAccess.getImportAccess().getImportKeyword_0());
                
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:141:1: ( (lv_importURI_1_0= RULE_STRING ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:142:1: (lv_importURI_1_0= RULE_STRING )
            {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:142:1: (lv_importURI_1_0= RULE_STRING )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:143:3: lv_importURI_1_0= RULE_STRING
            {
            lv_importURI_1_0=(Token)match(input,RULE_STRING,FOLLOW_RULE_STRING_in_ruleImport254); 

            			newLeafNode(lv_importURI_1_0, grammarAccess.getImportAccess().getImportURISTRINGTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getImportRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"importURI",
                    		lv_importURI_1_0, 
                    		"STRING");
            	    

            }


            }


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleImport"


    // $ANTLR start "entryRuleCarLike"
    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:167:1: entryRuleCarLike returns [EObject current=null] : iv_ruleCarLike= ruleCarLike EOF ;
    public final EObject entryRuleCarLike() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleCarLike = null;


        try {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:168:2: (iv_ruleCarLike= ruleCarLike EOF )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:169:2: iv_ruleCarLike= ruleCarLike EOF
            {
             newCompositeNode(grammarAccess.getCarLikeRule()); 
            pushFollow(FOLLOW_ruleCarLike_in_entryRuleCarLike295);
            iv_ruleCarLike=ruleCarLike();

            state._fsp--;

             current =iv_ruleCarLike; 
            match(input,EOF,FOLLOW_EOF_in_entryRuleCarLike305); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleCarLike"


    // $ANTLR start "ruleCarLike"
    // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:176:1: ruleCarLike returns [EObject current=null] : (otherlv_0= 'I like' ( (otherlv_1= RULE_ID ) ) ) ;
    public final EObject ruleCarLike() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;

         enterRule(); 
            
        try {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:179:28: ( (otherlv_0= 'I like' ( (otherlv_1= RULE_ID ) ) ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:180:1: (otherlv_0= 'I like' ( (otherlv_1= RULE_ID ) ) )
            {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:180:1: (otherlv_0= 'I like' ( (otherlv_1= RULE_ID ) ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:180:3: otherlv_0= 'I like' ( (otherlv_1= RULE_ID ) )
            {
            otherlv_0=(Token)match(input,12,FOLLOW_12_in_ruleCarLike342); 

                	newLeafNode(otherlv_0, grammarAccess.getCarLikeAccess().getILikeKeyword_0());
                
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:184:1: ( (otherlv_1= RULE_ID ) )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:185:1: (otherlv_1= RULE_ID )
            {
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:185:1: (otherlv_1= RULE_ID )
            // ../org.xtext.test.CarLanguage/src-gen/org/xtext/test/parser/antlr/internal/InternalCarLanguage.g:186:3: otherlv_1= RULE_ID
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getCarLikeRule());
            	        }
                    
            otherlv_1=(Token)match(input,RULE_ID,FOLLOW_RULE_ID_in_ruleCarLike362); 

            		newLeafNode(otherlv_1, grammarAccess.getCarLikeAccess().getRefCarCrossReference_1_0()); 
            	

            }


            }


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleCarLike"

    // Delegated rules


 

    public static final BitSet FOLLOW_ruleModel_in_entryRuleModel75 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleModel85 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleImport_in_ruleModel131 = new BitSet(new long[]{0x0000000000001800L});
    public static final BitSet FOLLOW_ruleCarLike_in_ruleModel153 = new BitSet(new long[]{0x0000000000001002L});
    public static final BitSet FOLLOW_ruleImport_in_entryRuleImport190 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleImport200 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_11_in_ruleImport237 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_RULE_STRING_in_ruleImport254 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_ruleCarLike_in_entryRuleCarLike295 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_entryRuleCarLike305 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_12_in_ruleCarLike342 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_RULE_ID_in_ruleCarLike362 = new BitSet(new long[]{0x0000000000000002L});

}