package org.xtext.test.car.resource;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.Map;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.impl.ResourceImpl;
import org.xtext.test.car.Car;
import org.xtext.test.car.CarFactory;

public class CarResource extends ResourceImpl {

	public CarResource(URI uri) {
		super(uri);
	}

	@Override
	protected void doLoad(InputStream inputStream, Map<?, ?> options) throws IOException {

		InputStreamReader reader = new InputStreamReader(inputStream);
		BufferedReader buf = new BufferedReader(reader);

		String s = buf.readLine();
		String[] cars = s.split(",");

		for (String car : cars) {
			Car carObj = CarFactory.eINSTANCE.createCar();
			carObj.setName(car);

			getContents().add(carObj);
		}
	}
}
